﻿:root {
    --darkest-grey: #343E46;
    --massage-green: #B8D149;
    --dark-grey: #586A77;
    --dark-grey-30: rgba(88, 106, 119, 0.3);
    --darkest-grey-85: rgba(52, 62, 70, 0.85);
    --darkest-grey-80: rgba(52, 62, 70, 0.8);
    --light-grey: #E6E5E5;
    --light-grey-50: rgba(230,229,229,0.5);
    --dark-grey-20: rgba(88,106,119,0.2);
    --mid-tone-grey: #798893;
    --massage-green-20: rgba(184, 209, 73, 0.2);
}

.video-container {
    position: relative;
    padding-bottom: 56.25%;
    padding-top: 30px; height: 0; 
    overflow: hidden;
    width: 100%;
}
 
.video-container iframe,
.video-container object,
.video-container embed {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}


/***************************/
/* Banner */
/***************************/

.topInteriorCarouselBanner .carousel-caption h6 {
    color: var(--massage-green);
    text-shadow: none;
    margin-bottom: 10px;
    margin-top: 0px;
    font-size: 28px;
    font-weight: 800;
    line-height: 33px;
}

.carousel-caption div *:nth-last-child(1) {
    margin-bottom: 0px;
}

/***************************/
/* DoubleImageMainContent */
/***************************/

section.doubleImageMainContent {
    padding: 80px 0px;
}

section.doubleImageMainContent .short-wrapper, 
.support-custom-content .short-wrapper 
{
    aspect-ratio: 3/2;
}

section.doubleImageMainContent .ratio-3-2, 
section.doubleImageMainContent .ratio-3-2 
{
    aspect-ratio: 3/2;
}

section.doubleImageMainContent .ratio-4-3, 
.support-custom-content .ratio-4-3 
{
    aspect-ratio: 4/3;
}

section.doubleImageMainContent .ratio-5-4,
.support-custom-content .ratio-5-4 
{
    aspect-ratio: 5/4;
}

section.doubleImageMainContent .ratio-16-10, 
.support-custom-content .ratio-16-10 
{
    aspect-ratio: 16/10;
}

section.doubleImageMainContent .ratio-16-9, 
.support-custom-content .ratio-16-9 
{
    aspect-ratio: 16/9;
}

section.doubleImageMainContent .ratio-3-2,
section.doubleImageMainContent .ratio-4-3,
section.doubleImageMainContent .ratio-5-4,
section.doubleImageMainContent .ratio-16-10,
section.doubleImageMainContent .ratio-16-9,
.support-custom-content .ratio-3-2,
.support-custom-content .ratio-4-3,
.support-custom-content .ratio-5-4,
.support-custom-content .ratio-16-10,
.support-custom-content .ratio-16-9,
.support-custom-content .short-wrapper
{
    border-radius: 50px 0px 50px 0px;
    height: 100%;
    overflow: hidden;
    width: 75%;
    border: 10px solid white;
    margin-top: -190px;
    z-index: 50;
    position: relative;
    margin-left: auto;
}

section.doubleImageMainContent .ratio-3-2 img,
section.doubleImageMainContent .ratio-4-3 img,
section.doubleImageMainContent .ratio-5-4 img,
section.doubleImageMainContent .ratio-16-10 img,
section.doubleImageMainContent .ratio-16-9 img,
section.doubleImageMainContent .tall-wrapper img,
.support-custom-content .ratio-3-2 img,
.support-custom-content .ratio-4-3 img,
.support-custom-content .ratio-5-4 img,
.support-custom-content .ratio-16-10 img,
.support-custom-content .ratio-16-9 img,
.support-custom-content .tall-wrapper img,
.support-custom-content .short-wrapper img
{
    height: 100%;
    width: 100%;
    object-fit: cover;
    object-position: center;
}

section.doubleImageMainContent .tall-wrapper,
.support-custom-content .tall-wrapper
{
    border-radius: 50px 0px 0px 0px;
    overflow: hidden;
    width: 90%;
    max-height: 450px;
}

section.doubleImageMainContent .doubleImageWrapper,
.support-custom-content .doubleImageWrapper {
    position: relative;
}

section.doubleImageMainContent .padding-left {
    padding-left: 75px;
}

section.doubleImageMainContent .padding-right {
    padding-right: 110px;
}

section.doubleImageMainContent .container .row {
    display: flex;
    align-items: center;
}

section.doubleImageMainContent a.callout-button {
    margin-top: 20px;
}

section.doubleImageMainContent h4 {
    font-size: 22px;
    line-height: 29px;
    font-weight: 400;
}

section.doubleImageMainContent h3 {
    margin-bottom: 22px;
}

section.doubleImageMainContent p:nth-last-child(1) {
    margin-bottom: 0px;
}

/***************************/
/* Button Bar */
/***************************/


.buttonBar .container > .row > div {
    display: flex;
    gap: 40px;
    align-items: center;
    justify-content: center;
}


.buttonBar .container .row div h2,
.buttonBar .container .row div p {
    margin-bottom: 0px;
}


.buttonBar .container .row div h2 {
    font-size: 28px;
    color: white;
}

.buttonBar {
    background: var(--darkest-grey);
    padding: 45px 0px;
}

.buttonBar .container .row div .callout-button {
    margin-bottom: 0px;
    font-size: 20px;
    padding: 10px 25px !important;
}

.buttonBar .container .row div .callout-button:hover {
    background: var(--light-grey) !important;
    color: var(--darkest-grey) !important;
}

/***************************/
/* Support Custom Content */
/***************************/

section.support-custom-content {
    padding: 80px 0px;
}

section.support-custom-content .padding {
    padding-right: 100px;
}

section.support-custom-content .container .row {
    display: flex;
    align-items: center;
}

section.support-custom-content .stat-wrapper {
    display: flex;
    align-items: center;
    background: var(--light-grey-50);
    border-radius: 25px;
    padding: 15px 15px 15px 0px;
    margin-bottom: 30px;
    position: relative;
    transition: all .5s ease;
}

section.support-custom-content .stat-wrapper:hover { 
    opacity: 0.7;
}

section.support-custom-content .stat-wrapper .stat-link-overlay {
    position: absolute;
    inset: 0;
    z-index: 50;
}

section.support-custom-content .stat-wrapper .left-col img {
    max-width: 95px;
}

section.support-custom-content .stat-wrapper .right-col p {
    font-size: 17px;
    line-height: 20px;
    font-weight: 600;
    margin-bottom: 0px;
}

section.support-custom-content .bottom-row .stat-wrapper{
    margin-bottom: 0px;
}

.top-text-wrapper {
    margin-bottom: 40px;
}

/***************************/
/* Video Bar */
/***************************/

section.video-bar-container {
    background: var(--light-grey-50);
    padding: 60px 0px;
}

section.video-bar-container .container .row {
    display: flex;
    align-items: center;
}

section.video-bar-container .padding {
    padding-left: 70px;
}

section.video-bar-container .padding div > *:nth-last-child(1) {
    margin-bottom: 0px;
}

section.video-bar-container .video-wrapper p {
    margin-bottom: 0px;
}

/************************************/
/* Accordions */
/************************************/

.accordion-wrapper:nth-last-of-type(1) {
    margin-bottom: 80px;
}

.accordion-image-wrapper {
    display: flex;
    align-items: center;
    gap: 60px;
}

.accordion-image-wrapper .text-wrapper {
    width: 70%;
}

.accordion-image-wrapper .img-wrapper {
    width: 30%;
    height: 250px;
    overflow: hidden;
    border-radius: 50px 0px 50px 0px;
}

.accordion-image-wrapper .img-wrapper img {
    height: 100%;
    width: 100%;
    object-fit: cover;
    object-position: center;
}


@media (min-width: 1200px) and (max-width: 1366px) {

    /***************************/
    /* Button Bar */
    /***************************/

    .buttonBar .container .row div h2 {
        font-size: 23px;
    }

    .buttonBar .container .row div .callout-button {
        font-size: 20px;
        padding: 12px 30px !important;
    }

    .buttonBar {
        padding: 40px 0px;
    }

    /***************************/
    /* Support Custom Content */
    /***************************/

    section.support-custom-content .stat-wrapper .left-col img {
        max-width: 65px;
    }

    section.support-custom-content .stat-wrapper .right-col p {
        font-size: 15px;
        line-height: 18px;
    }

}

@media (min-width: 992px) and (max-width: 1199px) {

    /***************************/
    /* DoubleImageMainContent */
    /***************************/

    section.doubleImageMainContent .container .row {
        align-items: flex-start;
    }

    section.doubleImageMainContent .padding-left {
        padding-left: 25px;
    }

    section.doubleImageMainContent .ratio-3-2,
    section.doubleImageMainContent .ratio-4-3,
    section.doubleImageMainContent .ratio-5-4,
    section.doubleImageMainContent .ratio-16-10,
    section.doubleImageMainContent .ratio-16-9,
    .support-custom-content .short-wrapper {
        margin-top: -100px;
        width: 82%;
    }

    section.doubleImageMainContent .padding-right {
        padding-right: 40px;
    }

    /***************************/
    /* Button Bar */
    /***************************/

    .buttonBar .container .row div h2 {
        font-size: 23px;
    }

    .buttonBar .container .row div .callout-button {
        font-size: 20px;
        padding: 12px 30px !important;
    }

    .buttonBar {
        padding: 35px 0px;
    }

    /***************************/
    /* Support Custom Content */
    /***************************/

    section.support-custom-content .padding {
        padding-right: 40px;
    }

    section.support-custom-content .stat-wrapper .left-col img {
        max-width: 55px;
    }

    section.support-custom-content .stat-wrapper .right-col p {
        font-size: 15px;
        margin-left: 5px;
    }

    /***************************/
    /* Video Bar */
    /***************************/
}

@media (min-width: 768px) and (max-width: 991px) {
    /***************************/
    /* DoubleImageMainContent */
    /***************************/

    section.doubleImageMainContent .container .row {
        display: block;
    }

    section.doubleImageMainContent .padding-left {
        padding-left: 0px;
        margin-top: 40px;
    }

    section.doubleImageMainContent .padding-right {
        padding-right: 0px;
        margin-top: 40px;
    }

    section.doubleImageMainContent {
        padding: 50px 0px 70px;
    }

    section.doubleImageMainContent .ratio-3-2, 
    section.doubleImageMainContent .ratio-4-3, 
    section.doubleImageMainContent .ratio-5-4, 
    section.doubleImageMainContent .ratio-16-10, 
    section.doubleImageMainContent .ratio-16-9,
    .support-custom-content .short-wrapper {
        margin-top: -155px;
        width: 60%;
    }

    /***************************/
    /* Button Bar */
    /***************************/

    .buttonBar .container .row div h2 {
        font-size: 23px;
    }

    .buttonBar .container .row div .callout-button {
        font-size: 20px;
        padding: 12px 30px !important;
    }

    .buttonBar {
        padding: 35px 0px;
    }

    /***************************/
    /* Support Custom Content */
    /***************************/

    section.support-custom-content .container .row {
        display: block;
    }

    section.support-custom-content {
        padding: 75px 0px;
    }

    section.support-custom-content .padding {
        padding-right: 0px;
        padding-top: 40px;
    }

    section.support-custom-content .stat-wrapper .left-col img {
        max-width: 75px;
    }

    /***************************/
    /* Video Bar */
    /***************************/

    section.video-bar-container .padding {
        padding-left: 10px;
    }

    section.video-bar-container {
        padding: 40px 0px;
    }

    /***************************/
    /* Accordion */
    /***************************/

    .accordion-wrapper:nth-last-of-type(1) {
        margin-bottom: 75px;
    }
}

@media (max-width: 767px) {

    /***************************/
    /* Banner */
    /***************************/

    .topInteriorCarouselBanner .carousel-caption h6 {
        font-size: 22px;
        line-height: 27px;
    }

    /***************************/
    /* DoubleImageMainContent */
    /***************************/

    section.doubleImageMainContent .container .row {
        display: block;
    }

    section.doubleImageMainContent .padding-left {
        padding-left: 0px;
        margin-top: 40px;
    }

    section.doubleImageMainContent .padding-right {
        padding-right: 0px;
        margin-top: 40px;
    }

    section.doubleImageMainContent {
        padding: 50px 0px 70px;
    }

    section.doubleImageMainContent .ratio-3-2, 
    section.doubleImageMainContent .ratio-4-3, 
    section.doubleImageMainContent .ratio-5-4, 
    section.doubleImageMainContent .ratio-16-10, 
    section.doubleImageMainContent .ratio-16-9,
    .support-custom-content .short-wrapper {
        margin-top: -120px;
    }

    /***************************/
    /* Button Bar */
    /***************************/

    .buttonBar .container .row > div {
        display: block;
        text-align: center;
    }

    .buttonBar .container .row div h2 {
        font-size: 24px;
    }
 
    .buttonBar .container .row div .callout-button {
        font-size: 20px;
        padding: 9px 30px !important;
        margin-top: 10px;
    }

    .buttonBar {
        padding: 40px 0px;
    }

    /***************************/
    /* Support Custom Content */
    /***************************/

    section.support-custom-content .container .row {
        display: block;
    }

    section.support-custom-content .padding {
        padding-right: 0px;
    }

    section.support-custom-content {
        padding: 40px 0px 60px;
    }

    section.support-custom-content .stat-wrapper .left-col img {
        max-width: 60px;
    }

    section.support-custom-content .stat-wrapper {
        margin-bottom: 10px !important;
    }

    section.support-custom-content .top-text-wrapper {
        margin-top: 30px;
    }

    /***************************/
    /* Video Bar */
    /***************************/

    section.video-bar-container .container .row {
        display: block;
    }

    section.video-bar-container .padding {
        padding-left: 0px;
        margin-top: 30px;
    }

    section.video-bar-container {
        padding: 40px 0px;
    }

    /***************************/
    /* Accordion */
    /***************************/

    .accordion-wrapper:nth-last-of-type(1) {
        margin-bottom: 60px;
    }
}